SUPERNOVA(1)

NAME
supernova - SuperCollider audio synthesis server

SYNOPSIS
supernova [options]

DESCRIPTION
SuperCollider is a real time audio synthesis programming language. This manual page documents briefly the supernova command, the audio server of SuperCollider.

SuperCollider has documentation in the HTML format available in the supercollider-doc package.

OPTIONS
A summary of options is included below. There must be a -u and/or a -t option, or -N for nonrealtime.

-u <udp-port-number>
    a port number (0-65535)

-t <tcp-port-number>
    a port number (0-65535)

-c <number-of-control-bus-channels>
    default 4096

-a <number-of-audio-bus-channels>
    default 128

-i <number-of-input-bus-channels>
    default 2

-o <number-of-output-bus-channels>
    default 2

-z <block-size>
    default 64

-Z <hardware-buffer-size>
    default 0

-S <hardware-sample-rate>
    default 0

-b <number-of-sample-buffers>
    default 1024

-n <max-number-of-nodes>
    default 1024

-d <max-number-of-synth-defs>
    default 1024

-m <real-time-memory-size>
    default 8192

-w <number-of-wire-buffers>
    default 64

-r <number-of-random-seeds>
    default 64

-D <load synthdefs? 1 or 0>
    default 1

-R <publish to Rendezvous? 1 or 0>
    default 1

-l <max-logins>
    default 64
    maximum number of named return addresses stored
    also maximum number of tcp connections accepted

-p <session-password>
    When using TCP, the session password must be the first command sent. The default is no password. UDP ports never require passwords, so for security use TCP.

-N <cmd-filename> <input-filename> <output-filename> <sample-rate> <header-format> <sample-format>

-L  enable memory locking

-H <hardware-device-name>

-v <verbosity>
    0 is normal behaviour
    -1 suppresses informational messages
    -2 suppresses informational and many error messages

-U <ugen-plugins-path>
    a colon-separated list of paths
    If -U is specified, the standard paths are NOT searched for plugins.

-P <restricted-path>
    If specified, prevents file-accessing OSC commands from accessing files outside <restricted-path>.

TO QUIT
To quit, send a 'quit' command via UDP or TCP, or press ctrl-C.

SEE ALSO
sclang(1),
/usr/share/doc/supercollider-server

AUTHOR
This manual page was written by Paul Brossier <piem@altern.org> for the Debian project (but may be used by others).

Modified and updated by Artem Popov <artfwo@gmail.com>.